#include <bits/stdc++.h>

#define int long long
using namespace std;

vector<int> vs;
vector<int> hs;
int all = 0;

void build(int n, int m) {
    vs.resize(m);
    hs.resize(n);
    vs[0] = n + (n - 1) * n / 2 * m;
    for (int i = 1; i < m; i++) {
        vs[i] = vs[i - 1] + n;
    }
    hs[0] = m * (m + 1) / 2;
    all = hs[0];
    for (int i = 1; i < n; i++) {
        hs[i] = hs[i - 1] + m * m;
        all += hs[i];
    }
}

void solve() {
    int n, m;
    cin >> n >> m;
    build(n, m);
    //Сначала чекнем вертикаль
    int now_sum = 0, m_r = LLONG_MAX, otv = -1;
    bool v = true;
    for (int i = 0; i < m; i++) {
        now_sum += vs[i];
        if (m_r > abs(all - 2 * now_sum)) {
            m_r = abs(all - 2 * now_sum);
            otv = i + 2;
        }
        if (m_r == 0) {
            cout << "V " << otv << '\n';
            return;
        }
    }
    //Если мы не нашли нулевую вертикаль, то идем сюда
    now_sum = 0;
    for (int i = 0; i < n; i++){
        now_sum += hs[i];
        if(m_r > abs(all - 2 * now_sum)){
            m_r = abs(all - 2 * now_sum);
            v = false;
            otv = i + 2;
        }
        if (m_r == 0) {
            cout << 'H' << otv << '\n';
            return;
        }
    }
    if (v) {
        cout << "V " + to_string(otv) + '\n';
    } else {
        cout << "H " + to_string(otv) + '\n';
    }
}


signed main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int t;
    cin >> t;
    while (t--) {
        solve();
    }
}
